Subject: [Tsvwg] Quick review of draft-ietf-tsvwg-sctpsocket-16

From: Vlad Yasevich <[email-masked]>
Date: Fri, 29 Feb 2008 16:40:17 -0500

Hi All

Here is some preliminary comments on the Draft 16.

1.  I am not sure that new text in section 3.1.4 is the right place.
It seems more appropriate for Section 3.2.  

2. Section 7.3 is missing text about SCTP_NO_AUTHENTICATION_EVENT.  It makes
it seem that the sctp_authentication_event subscription now enables 2 different
ancillary data items.  Wanted to make sure that it's the intention.

3.  The section on Preprocessor Functions has been removed, but the references
to those constants are still there.  Example:

      An implementation which dedicates independent buffer space for
      each association should define HAVE_SCTP_MULTIBUF to 1.

3. SO_LINGER is still specified to take effect for 1-to-1 style sockets only,
even though most implementation support this option on 1-to-many sockets.  If
fact, this functionality has been explicitly requested as there is currently
no simple way to abort all associations on a 1-to-many style socket.

-vlad